/*
 * Class LIST [NATURAL_32]
 */

#include "eif_macros.h"


#ifdef __cplusplus
extern "C" {
#endif

static const EIF_TYPE_INDEX egt_0_1921 [] = {0xFF01,914,0xFFFF};
static const EIF_TYPE_INDEX egt_1_1921 [] = {0xFF01,1551,1920,851,0xFFFF};
static const EIF_TYPE_INDEX egt_2_1921 [] = {0xFF01,1920,851,0xFFFF};
static const EIF_TYPE_INDEX egt_3_1921 [] = {0,0xFFFF};
static const EIF_TYPE_INDEX egt_4_1921 [] = {0,0xFFFF};
static const EIF_TYPE_INDEX egt_5_1921 [] = {0xFF01,1920,851,0xFFFF};
static const EIF_TYPE_INDEX egt_6_1921 [] = {0xFF01,1920,851,0xFFFF};
static const EIF_TYPE_INDEX egt_7_1921 [] = {0,0xFFFF};
static const EIF_TYPE_INDEX egt_8_1921 [] = {0xFF01,126,0xFFFF};
static const EIF_TYPE_INDEX egt_9_1921 [] = {0xFF01,914,0xFFFF};
static const EIF_TYPE_INDEX egt_10_1921 [] = {0xFF01,914,0xFFFF};
static const EIF_TYPE_INDEX egt_11_1921 [] = {0xFF01,29,0xFFFF};
static const EIF_TYPE_INDEX egt_12_1921 [] = {1920,851,0xFFFF};
static const EIF_TYPE_INDEX egt_13_1921 [] = {0xFF01,1920,851,0xFFFF};
static const EIF_TYPE_INDEX egt_14_1921 [] = {0xFF01,1902,0xFFF8,1,0xFFFF};
static const EIF_TYPE_INDEX egt_15_1921 [] = {0xFFF8,1,0xFFFF};
static const EIF_TYPE_INDEX egt_16_1921 [] = {0xFFF8,1,0xFFFF};
static const EIF_TYPE_INDEX egt_17_1921 [] = {0xFFF8,1,0xFFFF};
static const EIF_TYPE_INDEX egt_18_1921 [] = {0xFFF8,1,0xFFFF};
static const EIF_TYPE_INDEX egt_19_1921 [] = {0xFF01,580,0xFFFF};
static const EIF_TYPE_INDEX egt_20_1921 [] = {0xFFF8,1,0xFFFF};
static const EIF_TYPE_INDEX egt_21_1921 [] = {0xFFF8,1,0xFFFF};
static const EIF_TYPE_INDEX egt_22_1921 [] = {0xFFF8,1,0xFFFF};
static const EIF_TYPE_INDEX egt_23_1921 [] = {0xFF01,1897,0xFFF8,1,0xFFFF};
static const EIF_TYPE_INDEX egt_24_1921 [] = {0xFFF8,1,0xFFFF};
static const EIF_TYPE_INDEX egt_25_1921 [] = {0xFFF8,1,0xFFFF};
static const EIF_TYPE_INDEX egt_26_1921 [] = {0xFFF8,1,0xFFFF};
static const EIF_TYPE_INDEX egt_27_1921 [] = {0xFF01,1920,851,0xFFFF};
static const EIF_TYPE_INDEX egt_28_1921 [] = {0xFF01,601,0xFFFF};


static const struct desc_info desc_1921[] = {
	{EIF_GENERIC(NULL), 12483, 0xFFFFFFFF},
	{EIF_GENERIC(egt_0_1921), 0, 0xFFFFFFFF},
	{EIF_GENERIC(egt_1_1921), 1, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 2, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 3, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 12484, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 5, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 6, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 7, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 8, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 9, 0xFFFFFFFF},
	{EIF_GENERIC(egt_2_1921), 10, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 11, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 12, 0xFFFFFFFF},
	{EIF_GENERIC(egt_3_1921), 13, 0xFFFFFFFF},
	{EIF_GENERIC(egt_4_1921), 14, 0xFFFFFFFF},
	{EIF_GENERIC(egt_5_1921), 15, 0xFFFFFFFF},
	{EIF_GENERIC(egt_6_1921), 16, 0xFFFFFFFF},
	{EIF_GENERIC(egt_7_1921), 17, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 18, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 19, 0xFFFFFFFF},
	{EIF_GENERIC(egt_8_1921), 20, 0xFFFFFFFF},
	{EIF_GENERIC(egt_9_1921), 21, 0xFFFFFFFF},
	{EIF_GENERIC(egt_10_1921), 22, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 23, 0xFFFFFFFF},
	{EIF_GENERIC(egt_11_1921), 24, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 25, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 26, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 27, 0xFFFFFFFF},
	{EIF_GENERIC(egt_12_1921), 28, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06E3 /*881*/), 29, 0xFFFFFFFF},
	{EIF_GENERIC(egt_13_1921), 30, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 12219, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 9219, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 8643, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 8644, 0},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 8645, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 8646, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 8647, 0xFFFFFFFF},
	{EIF_GENERIC(egt_14_1921), 8876, 0xFFFFFFFF},
	{EIF_GENERIC(egt_15_1921), -1, 0xFFFFFFFF},
	{EIF_GENERIC(egt_16_1921), -1, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 9294, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 9295, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 9093, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), -1, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 12215, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 12220, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 8971, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), -1, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 12223, 0xFFFFFFFF},
	{EIF_GENERIC(egt_17_1921), 8869, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 8870, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 12485, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 12226, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), -1, 0xFFFFFFFF},
	{EIF_GENERIC(egt_18_1921), 12221, 0xFFFFFFFF},
	{EIF_GENERIC(egt_19_1921), 12224, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 12229, 0xFFFFFFFF},
	{EIF_GENERIC(egt_20_1921), -1, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 12232, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 12225, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 8872, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 8873, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 8874, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 8875, 0xFFFFFFFF},
	{EIF_GENERIC(egt_21_1921), 12221, 0xFFFFFFFF},
	{EIF_GENERIC(egt_22_1921), 12222, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 12229, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 12235, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 12235, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), -1, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), -1, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), -1, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 9036, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 9298, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), -1, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 12213, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 9299, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 9300, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), -1, 0xFFFFFFFF},
	{EIF_GENERIC(egt_23_1921), 11018, 0xFFFFFFFF},
	{EIF_GENERIC(egt_24_1921), -1, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 12486, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), -1, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 8867, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 9296, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 12236, 0xFFFFFFFF},
	{EIF_GENERIC(egt_25_1921), 12217, 0xFFFFFFFF},
	{EIF_GENERIC(egt_26_1921), 12218, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 12227, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 12228, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 12230, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 12231, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 12233, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 12234, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 12214, 0xFFFFFFFF},
	{EIF_GENERIC(egt_27_1921), -1, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 8866, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 8865, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 8868, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 8868, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 12223, 0xFFFFFFFF},
	{EIF_GENERIC(egt_28_1921), -1, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), -1, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), -1, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), -1, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), -1, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), -1, 0xFFFFFFFF},
};
void Init1921(void)
{
	IDSC(desc_1921, 0, 1920);
	IDSC(desc_1921 + 1, 1, 1920);
	IDSC(desc_1921 + 32, 1134, 1920);
	IDSC(desc_1921 + 41, 1060, 1920);
	IDSC(desc_1921 + 47, 1444, 1920);
	IDSC(desc_1921 + 56, 1570, 1920);
	IDSC(desc_1921 + 59, 1534, 1920);
	IDSC(desc_1921 + 66, 916, 1920);
	IDSC(desc_1921 + 72, 1135, 1920);
	IDSC(desc_1921 + 81, 1088, 1920);
	IDSC(desc_1921 + 83, 1245, 1920);
	IDSC(desc_1921 + 86, 387, 1920);
	IDSC(desc_1921 + 88, 636, 1920);
	IDSC(desc_1921 + 102, 778, 1920);
	IDSC(desc_1921 + 103, 254, 1920);
	IDSC(desc_1921 + 106, 554, 1920);
	IDSC(desc_1921 + 107, 878, 1920);
	IDSC(desc_1921 + 108, 794, 1920);
}


#ifdef __cplusplus
}
#endif
